# Uses of Interface
org.eclipse.net4j.db.ddl.IDBTable

Packages that use IDBTable
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.
org.eclipse.net4j.db.ddl
The Net4j DB framework concepts for the abstraction of the SQL data definition language.
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.
org.eclipse.net4j.db.h2
The Net4j DB Framework support for H2 databases.
org.eclipse.net4j.db.postgresql
The Net4j DB Framework support for PostgreSQL databases.
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.
org.eclipse.net4j.spi.db.ddl
Server service provider interfaces for the Net4j DB framework.

## Uses of IDBTable in org.eclipse.net4j.db

Fields in org.eclipse.net4j.db declared as IDBTable
Modifier and Type
Field
Description
`protected final IDBTable`
BatchingIDChanger.`table`
Methods in org.eclipse.net4j.db that return types with arguments of type IDBTable
Modifier and Type
Method
Description
`Set<IDBTable>`
IDBAdapter.`createTables(Iterable<? extends IDBTable> tables, Connection connection)`
`Collection<IDBTable>`
IDBAdapter.`dropTables(Iterable<? extends IDBTable> tables, Connection connection)`
Methods in org.eclipse.net4j.db with parameters of type IDBTable
Modifier and Type
Method
Description
`void`
IDBAdapter.`appendFieldNames(Appendable appendable, IDBTable table)`
Appends the field names used by the adapter's table SQL generation.
`static int`
DBUtil.`clearTable(Connection connection, IDBTable table)`
`boolean`
IDBAdapter.`createTable(IDBTable table, Statement statement)`
`static void`
DBUtil.`deserializeTable(org.eclipse.net4j.util.io.ExtendedDataInput in, Connection connection, IDBTable table, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`static void`
DBUtil.`deserializeTable(org.eclipse.net4j.util.io.ExtendedDataInput in, Connection connection, IDBTable table, org.eclipse.net4j.util.om.monitor.OMMonitor monitor, DBUtil.DeserializeRowHandler handler)`
`boolean`
IDBAdapter.`dropTable(IDBTable table, Statement statement)`
`static void`
DBUtil.`serializeTable(org.eclipse.net4j.util.io.ExtendedDataOutput out, Connection connection, IDBTable table, String tableAlias, String sqlSuffix)`
`static void`
DBUtil.`serializeTable(org.eclipse.net4j.util.io.ExtendedDataOutput out, Connection connection, IDBTable table, String tableAlias, String sqlSuffix, DBUtil.SerializeRowHandler handler)`
Method parameters in org.eclipse.net4j.db with type arguments of type IDBTable
Modifier and Type
Method
Description
`Set<IDBTable>`
IDBAdapter.`createTables(Iterable<? extends IDBTable> tables, Connection connection)`
`Collection<IDBTable>`
IDBAdapter.`dropTables(Iterable<? extends IDBTable> tables, Connection connection)`
Constructors in org.eclipse.net4j.db with parameters of type IDBTable
Modifier
Constructor
Description
``
`BatchingIDChanger(StatementBatcher batcher, IDBField idField, IDBTable table)`

## Uses of IDBTable in org.eclipse.net4j.db.ddl

Methods in org.eclipse.net4j.db.ddl that return IDBTable
Modifier and Type
Method
Description
`IDBTable`
IDBSchema.`addTable(String name)`
`IDBTable`
IDBField.`getParent()`
`IDBTable`
IDBIndex.`getParent()`
`IDBTable`
IDBField.`getTable()`
`IDBTable`
IDBIndex.`getTable()`
`IDBTable`
IDBSchema.`getTable(String name)`
`IDBTable[]`
IDBSchema.`getTables()`
`IDBTable`
IDBSchema.`getTableSafe(String name)`
`IDBTable`
IDBSchema.`removeTable(String name)`
Methods in org.eclipse.net4j.db.ddl that return types with arguments of type IDBTable
Modifier and Type
Method
Description
`Set<IDBTable>`
IDBSchema.`create(IDBAdapter dbAdapter, Connection connection)`
`Set<IDBTable>`
IDBSchema.`create(IDBAdapter dbAdapter, DataSource dataSource)`
`Set<IDBTable>`
IDBSchema.`create(IDBAdapter dbAdapter, IDBConnectionProvider connectionProvider)`
Methods in org.eclipse.net4j.db.ddl with parameters of type IDBTable
Modifier and Type
Method
Description
`void`
IDBSchemaVisitor.Default.`visit(IDBTable element)`
`void`
IDBSchemaVisitor.`visit(IDBTable table)`

## Uses of IDBTable in org.eclipse.net4j.db.ddl.delta

Methods in org.eclipse.net4j.db.ddl.delta that return IDBTable
Modifier and Type
Method
Description
`IDBTable`
IDBTableDelta.`getSchemaElement(IDBSchema schema)`

## Uses of IDBTable in org.eclipse.net4j.db.h2

Methods in org.eclipse.net4j.db.h2 with parameters of type IDBTable
Modifier and Type
Method
Description
`protected boolean`
H2Adapter.`isPrimaryKeyShadow(Connection connection, IDBTable table, String name, IDBIndex.Type type, IDBField[] fields)`

## Uses of IDBTable in org.eclipse.net4j.db.postgresql

Methods in org.eclipse.net4j.db.postgresql with parameters of type IDBTable
Modifier and Type
Method
Description
`protected void`
PostgreSQLAdapter.`doCreateTable(IDBTable table, Statement statement)`
`protected void`
PostgreSQLAdapter.`readIndices(Connection connection, DatabaseMetaData metaData, IDBTable table, String schemaName)`

## Uses of IDBTable in org.eclipse.net4j.spi.db

Methods in org.eclipse.net4j.spi.db that return IDBTable
Modifier and Type
Method
Description
`IDBTable`
DBSchema.`addTable(String name)`
Deprecated.
`IDBTable`
DBSchema.`getTable(String name)`
Deprecated.
`IDBTable[]`
DBSchema.`getTables()`
Deprecated.
`IDBTable`
DBSchema.`removeTable(String name)`
Deprecated.
Methods in org.eclipse.net4j.spi.db that return types with arguments of type IDBTable
Modifier and Type
Method
Description
`Set<IDBTable>`
DBSchema.`create(IDBAdapter dbAdapter, Connection connection)`
Deprecated.
`Set<IDBTable>`
DBSchema.`create(IDBAdapter dbAdapter, DataSource dataSource)`
Deprecated.
`Set<IDBTable>`
DBSchema.`create(IDBAdapter dbAdapter, IDBConnectionProvider connectionProvider)`
Deprecated.
`Set<IDBTable>`
DBAdapter.`createTables(Iterable<? extends IDBTable> tables, Connection connection)`
`Set<IDBTable>`
DelegatingDBAdapter.`createTables(Iterable<? extends IDBTable> tables, Connection connection)`
`Collection<IDBTable>`
DBAdapter.`dropTables(Iterable<? extends IDBTable> tables, Connection connection)`
`Collection<IDBTable>`
DelegatingDBAdapter.`dropTables(Iterable<? extends IDBTable> tables, Connection connection)`
Methods in org.eclipse.net4j.spi.db with parameters of type IDBTable
Modifier and Type
Method
Description
`protected void`
DBAdapter.`addIndex(Connection connection, IDBTable table, String name, IDBIndex.Type type, List<DBAdapter.FieldInfo> fieldInfos)`
`protected void`
DBAdapter.`alterTable(Connection connection, IDBTable table, IDBTableDelta delta)`
`protected void`
DBAdapter.`appendFieldDefs(Appendable appendable, IDBTable table, String[] defs)`
`void`
DBAdapter.`appendFieldNames(Appendable appendable, IDBTable table)`
`void`
DelegatingDBAdapter.`appendFieldNames(Appendable appendable, IDBTable table)`
`protected String`
DBAdapter.`createConstraints(IDBTable table)`
`protected String[]`
DBAdapter.`createFieldDefinitions(IDBTable table)`
`protected void`
DBAdapter.`createTable(Connection connection, IDBTable table, IDBTableDelta delta)`
`boolean`
DBAdapter.`createTable(IDBTable table, Statement statement)`
`boolean`
DelegatingDBAdapter.`createTable(IDBTable table, Statement statement)`
`protected void`
DBAdapter.`doCreateTable(IDBTable table, Statement statement)`
`protected void`
DBAdapter.`dropTable(Connection connection, IDBTable table, IDBTableDelta delta)`
`boolean`
DBAdapter.`dropTable(IDBTable table, Statement statement)`
`boolean`
DelegatingDBAdapter.`dropTable(IDBTable table, Statement statement)`
`protected String`
DBAdapter.`getDropTableSQL(IDBTable table)`
`protected boolean`
DBAdapter.`isPrimaryKeyShadow(Connection connection, IDBTable table, String name, IDBIndex.Type type, IDBField[] fields)`
`protected void`
DBAdapter.`readFields(Connection connection, IDBTable table)`
`protected void`
DBAdapter.`readIndices(Connection connection, DatabaseMetaData metaData, IDBTable table, String schemaName)`
`protected void`
DBAdapter.`readIndices(Connection connection, ResultSet resultSet, IDBTable table, int indexNameColumn, int indexTypeColumn, int fieldNameColumn, int fieldPositionColumn)`
Deprecated.
As of 4.13 no longer supported.
`protected void`
DBAdapter.`validateTable(IDBTable table, Statement statement)`
Method parameters in org.eclipse.net4j.spi.db with type arguments of type IDBTable
Modifier and Type
Method
Description
`Set<IDBTable>`
DBAdapter.`createTables(Iterable<? extends IDBTable> tables, Connection connection)`
`Set<IDBTable>`
DelegatingDBAdapter.`createTables(Iterable<? extends IDBTable> tables, Connection connection)`
`Collection<IDBTable>`
DBAdapter.`dropTables(Iterable<? extends IDBTable> tables, Connection connection)`
`Collection<IDBTable>`
DelegatingDBAdapter.`dropTables(Iterable<? extends IDBTable> tables, Connection connection)`

## Uses of IDBTable in org.eclipse.net4j.spi.db.ddl

Subinterfaces of IDBTable in org.eclipse.net4j.spi.db.ddl
Modifier and Type
Interface
Description
`interface`
`InternalDBTable`
Fields in org.eclipse.net4j.spi.db.ddl declared as IDBTable
Modifier and Type
Field
Description
`static final IDBTable[]`
InternalDBSchema.`NO_TABLES`
Methods in org.eclipse.net4j.spi.db.ddl that return IDBTable
Modifier and Type
Method
Description
`IDBTable`
InternalDBSchema.`addTable(String name)`
`IDBTable`
InternalDBTable.`getWrapper()`
`IDBTable`
InternalDBSchema.`removeTable(String name)`
Methods in org.eclipse.net4j.spi.db.ddl with parameters of type IDBTable
Modifier and Type
Method
Description
`String`
InternalDBSchema.`createIndexName(IDBTable table, IDBIndex.Type type, IDBField[] fields, int position)`